[SRU] 2.36

Bug #1795590 reported by Michael Vogt on 2018-10-02
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
snapd (Ubuntu)
Undecided
Unassigned
Xenial
Undecided
Unassigned
Bionic
Undecided
Unassigned
Cosmic
Undecided
Unassigned

Bug Description

This is a new version of snapd.

The changelog is available here https://github.com/snapcore/snapd/blob/2.36/packaging/ubuntu-16.04/changelog, the raw git changelog is available here: https://github.com/snapcore/snapd/commits/2.36 (note that the debian changelog is auto-generated from the merges of the git commits so there is usually no need to look at the raw git commits).

The travis logs for 2.36 can be found here: https://travis-ci.org/snapcore/snapd/branches

We currently have no autopkgtest logs before snapd hits -proposed because we got asked to disable our autopkgtest integration as it was using too many resources from the autopkgtest infrastructure.

The snappy team released a new release that we want SRU into xenial. The new process described in https://wiki.ubuntu.com/SnapdUpdates was used and we have done integration-tests on the snappy images, autopkgtests on classic and unit tests.

CVE References

Launchpad Janitor (janitor) wrote :
Download full text (19.5 KiB)

This bug was fixed in the package snapd - 2.37+19.04

---------------
snapd (2.37+19.04) disco; urgency=medium

  * New upstream release, LP: #1811233
    - snapd: fix race in TestSanityFailGoesIntoDegradedMode test
    - cmd: fix snap-device-helper to deal correctly with hooks
    - tests: various fixes for external backend
    - interface: raw-usb: Adding ttyACM[0-9]* as many serial devices
      have device node /dev/ttyACM[0-9]
    - tests: fix enable-disable-unit-gpio test on external boards
    - tests: define new "tests/smoke" suite and use that for
      autopkgtests
    - interfaces/builtin/opengl: allow access to NVIDIA VDPAU
      library
    - snapshotstate: don't task.Log without the lock
    - overlord/configstate/configcore: support - and _ in cloud init
      field names
    - cmd/snap-confine: use makedev instead of MKDEV
    - tests: review/fix the autopkgtest failures in disco
    - systemd: allow only a single daemon-reload at the same time
    - cmd/snap: only auto-enable unicode to a tty
    - cmd/snap: right-align revision and size in info's channel map
    - dirs, interfaces/builtin/desktop: system fontconfig cache path is
      different on Fedora
    - tests: fix "No space left on device" issue on amazon-linux
    - store: undo workaround for timezone-less released-at
    - store, snap, cmd/snap: channels have released-at
    - snap-confine: fix incorrect use "src" var in mount-support.c
    - release: support probing SELinux state
    - release-tools: display self-help
    - interface: add new `{personal,system}-files` interface
    - snap: give Epoch an Equal method
    - many: remove unused interface code
    - interfaces/many: use 'unsafe' with docker-support change_profile
      rules
    - run-checks: stop running HEAD of staticcheck
    - release: use sync.Once around lazy intialized state
    - overlord/ifacestate: include interface name in the hotplug-
      disconnect task summary
    - spread: show free space in debug output
    - cmd/snap: attempt to restore SELinux context of snap user
      directories
    - image: do not write empty etc/cloud
    - tests: skip snapd snap on reset for core systems
    - cmd/snap-discard-ns: fix umount(2) typo
    - overlord/ifacestate: hotplug-remove-slot task handler
    - overlord/ifacestate: handler for hotplug-disconnect task
    - ifacestate/hotplug: updateDevice helper
    - tests: reset snapd state on tests restore
    - interfaces: return security setup errors
    - overlord: make InstallMany work like UpdateMany, issuing a single
      request to get candidates
    - systemd/systemd.go: add missing tests for systemd.IsActive
    - overlord/ifacestate: addHotplugSeqWaitTask helper
    - cmd/snap-confine: refactor call to snap-update-ns --user-mounts
    - tests: new backend used to run upgrade test suite
    - travis: short circuit failures in static and unit tests travis job
    - cmd: automatically fix localized <option>s to <option>
    - overlord/configstate,features: expose features to snapd tools
    - selinux: package to query SELinux status and verify/restore file
      contexts
    - wrappers: use new systemd.IsActive in core18 early boot
    - cmd: add...

Changed in snapd (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package snapd - 2.37.1+18.04

---------------
snapd (2.37.1+18.04) bionic; urgency=medium

  * New upstream release, LP: #1811233
    - cmd/snap-confine: add special case for Jenkins
    - tests: workaround missing go dependencies in debian-9
    - daemon, polkit: pid_t is signed
    - interfaces: add display-control interface
    - interfaces: add block-devices interface
    - tests/main/searching: video section got renamed to photo-and-video
    - interfaces/camera: allow reading vendor/etc info from
      /run/udev/data/+usb
    - interfaces/dbus: be less strict about alternations for well-known
      names
    - interfaces/home: allow dac_read_search with 'read: all'
    - interfaces/pulseaudio: allow reading subdirectories of
      /etc/pulse
    - interfaces/system-observe: allow read on
      /proc/locks
    - tests: get test-snapd-dbus-{provider,consumer} from the beta
      channel
    - interfaces/apparmor: mock presence of overlayfs root
    - packaging/{fedora,opensuse,ubuntu}: add /var/lib/snapd/lib/glvnd

 -- Michael Vogt <email address hidden> Tue, 29 Jan 2019 18:35:36 +0100

Changed in snapd (Ubuntu Bionic):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package snapd - 2.37.4

---------------
snapd (2.37.4) xenial; urgency=medium

  * New upstream release, LP: #1817949
    - squashfs: unset SOURCE_DATE_EPOCH in the TestBuildDate test
    - overlord/ifacestate: fix migration of connections on upgrade from
      ubuntu-core
    - tests: fix upgrade-from-2.15 with kernel 4.15
    - interfaces/seccomp: increase filter precision
    - tests: remove snapweb from tests

 -- Michael Vogt <email address hidden> Wed, 27 Feb 2019 19:53:36 +0100

Changed in snapd (Ubuntu Xenial):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package snapd - 2.37.4+18.10.1

---------------
snapd (2.37.4+18.10.1) cosmic-security; urgency=medium

  * No change rebuild for cosmic-security (LP: #1812973)
    - CVE-2019-7303

 -- Jamie Strandboge <email address hidden> Fri, 15 Mar 2019 19:53:14 +0000

Changed in snapd (Ubuntu Cosmic):
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers